Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/app.config
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/app.config	(revision 5298)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/app.config	(revision 5299)
@@ -41,13 +41,4 @@
         </binding>
       </wsHttpBinding>
-      <netTcpBinding>
-        <binding name="DefaultNetTcpBinding" openTimeout="00:00:30" receiveTimeout="00:00:30" sendTimeout="00:00:30" maxBufferSize="2147483647" maxReceivedMessageSize="2147483647">
-          <security mode="Message">
-            <message clientCredentialType="UserName" />
-          </security>
-          <readerQuotas maxArrayLength="2147483647" />
-          <reliableSession inactivityTimeout="00:00:30" enabled="false" />
-        </binding>
-      </netTcpBinding>
     </bindings>
 
@@ -68,17 +59,9 @@
 
     <services>
-      <service name="HeuristicLab.Services.OKB.OKBService" behaviorConfiguration="DefaultServiceBehavior">
-        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration="DefaultMexHttpBinding" contract="IMetadataExchange" />
-        <endpoint binding="wsHttpBinding" bindingConfiguration="DefaultWsHttpBinding" contract="HeuristicLab.Services.OKB.IOKBService" />
-        <host>
-          <baseAddresses>
-            <add baseAddress="http://localhost:8732/Design_Time_Addresses/OKB-3.3/OKBService" />
-          </baseAddresses>
-        </host>
-      </service>
-
-      <service name="HeuristicLab.Services.OKB.AuthenticationService" behaviorConfiguration="DefaultServiceBehavior">
-        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration="DefaultMexHttpBinding" contract="IMetadataExchange" />
-        <endpoint binding="wsHttpBinding" bindingConfiguration="DefaultWsHttpBinding" contract="HeuristicLab.Services.OKB.IAuthenticationService" />
+      <service behaviorConfiguration="DefaultServiceBehavior" name="HeuristicLab.Services.OKB.AuthenticationService">
+        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration="DefaultMexHttpBinding"
+          contract="IMetadataExchange" />
+        <endpoint binding="wsHttpBinding" bindingConfiguration="DefaultWsHttpBinding"
+          contract="HeuristicLab.Services.OKB.IAuthenticationService" />
         <host>
           <baseAddresses>
@@ -87,45 +70,23 @@
         </host>
       </service>
-
-      <service name="HeuristicLab.Services.OKB.TableService" behaviorConfiguration="DefaultServiceBehavior">
-        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration="DefaultMexHttpBinding" contract="IMetadataExchange" />
-        <endpoint binding="netTcpBinding" bindingConfiguration="DefaultNetTcpBinding" contract="HeuristicLab.Services.OKB.ITableService" />
+      <service behaviorConfiguration="DefaultServiceBehavior" name="HeuristicLab.Services.OKB.AdministrationService">
+        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration="DefaultMexHttpBinding"
+          contract="IMetadataExchange" />
+        <endpoint binding="wsHttpBinding" bindingConfiguration="DefaultWsHttpBinding"
+          contract="HeuristicLab.Services.OKB.IAdministrationService" />
         <host>
           <baseAddresses>
-            <add baseAddress="http://localhost:8732/Design_Time_Addresses/OKB-3.3/TableService" />
-            <add baseAddress="net.tcp://localhost:8733/OKB-3.3/TableService" />
+            <add baseAddress="http://localhost:8732/Design_Time_Addresses/OKB-3.3/AdministrationService" />
           </baseAddresses>
         </host>
       </service>
-
-      <service name="HeuristicLab.Services.OKB.DataService" behaviorConfiguration="DefaultServiceBehavior">
-        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration="DefaultMexHttpBinding" contract="IMetadataExchange" />
-        <endpoint binding="netTcpBinding" bindingConfiguration="DefaultNetTcpBinding" contract="HeuristicLab.Services.OKB.IDataService" />
-        <host>
-          <baseAddresses>
-            <add baseAddress="http://localhost:8732/Design_Time_Addresses/OKB-3.3/DataService" />
-            <add baseAddress="net.tcp://localhost:8733/OKB-3.3/DataService" />
-          </baseAddresses>
-        </host>
-      </service>
-
-      <service name="HeuristicLab.Services.OKB.RunnerService" behaviorConfiguration="DefaultServiceBehavior">
-        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration="DefaultMexHttpBinding" contract="IMetadataExchange" />
-        <endpoint binding="netTcpBinding" bindingConfiguration="DefaultNetTcpBinding" contract="HeuristicLab.Services.OKB.IRunnerService" />
-        <host>
-          <baseAddresses>
-            <add baseAddress="http://localhost:8732/Design_Time_Addresses/OKB-3.3/RunnerService" />
-            <add baseAddress="net.tcp://localhost:8733/OKB-3.3/RunnerService" />
-          </baseAddresses>
-        </host>
-      </service>
-
-      <service name="HeuristicLab.Services.OKB.QueryService" behaviorConfiguration="DefaultServiceBehavior">
-        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration="DefaultMexHttpBinding" contract="IMetadataExchange" />
-        <endpoint binding="netTcpBinding" bindingConfiguration="DefaultNetTcpBinding" contract="HeuristicLab.Services.OKB.IQueryService" />
+      <service behaviorConfiguration="DefaultServiceBehavior" name="HeuristicLab.Services.OKB.QueryService">
+        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration="DefaultMexHttpBinding"
+          contract="IMetadataExchange" />
+        <endpoint binding="wsHttpBinding" bindingConfiguration="DefaultWsHttpBinding"
+          contract="HeuristicLab.Services.OKB.IQueryService" />
         <host>
           <baseAddresses>
             <add baseAddress="http://localhost:8732/Design_Time_Addresses/OKB-3.3/QueryService" />
-            <add baseAddress="net.tcp://localhost:8733/OKB-3.3/QueryService" />
           </baseAddresses>
         </host>
@@ -133,5 +94,4 @@
     </services>
   </system.serviceModel>
-
   <startup>
     <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0" />
